> ## Documentation Index
> Fetch the complete documentation index at: https://yuno-3979e326-fix-create-subscription-card-usage.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Payment

> Create a payment with Yuno. Supports various payment methods, card vaulting, and 3DS configurations.

This request creates a payment after you created a checkout session.

<Danger>
  **Important**

  Although certain objects are not mandatory when creating a **Payment**, the user’s payment experience can be enhanced if you provide this information.
</Danger>

<Note>
  **3DS Payments**

  Check the [3D Secure](/docs/security-and-compliance/3d-secure) page to learn how to create payments using 3DS on Yuno.
</Note>

If you want to process payments in a Single Step (Authorization and Capture simultaneously), you need to send the `payment_method.detail.card.capture` attribute as `true`, so the payment is captured automatically.

To test all possible transaction outcomes within Yuno in **Sandbox**, please refer to the following [documentation](/docs/direct-integration-use-cases/yuno-testing-gateway#4-provide-the-payment-method-information) for **test data**.

<Danger>
  **Metadata and routing logic**

  If you use metadata to drive routing logic, it must also be set in the **[Checkout Session](/reference/checkout-sessions/create-checkout-session)**. Filling it only in the Payment object will not activate route logic.
</Danger>

On the other hand, if you wish to process the payment in Two Steps (First Authorization and then Capture), you need to send `payment_method.detail.card.capture` attribute as `false`. Please follow the steps below to implement a two-step flow:

1. Create an authorization using the [Authorize Payment](/reference/payments/create-payment) request.
2. Capture the created authorization using the [Capture Authorization](/reference/payments/capture-authorization) request.

Note that this request requires an `X-Idempotency-Key`. Check the [Authentication](/reference/authentication#idempotency) page for more information.


## OpenAPI

````yaml /openapi/payments/create-payment.json POST /payments
openapi: 3.1.0
info:
  title: payment-api-create-payment-back-to-back
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /payments:
    post:
      summary: Create Payment
      operationId: create-payment
      parameters:
        - name: X-Idempotency-Key
          in: header
          description: >-
            Unique identifier used in HTTP headers to ensure that a request is
            processed only once, even if it is retried due to network issues or
            timeouts.
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - account_id
                - description
                - country
                - merchant_order_id
                - amount
                - payment_method
                - checkout
              properties:
                account_id:
                  type: string
                  description: >-
                    The unique identifier of the account. You find this
                    information on [the Yuno
                    dashboard](https://dashboard.y.uno/) (UUID, 36 chars).
                  default: '{{account_id}}'
                merchant_order_id:
                  type: string
                  description: >-
                    The unique identifier of the customer's order (MAX 255; MIN
                    3).
                  default: ''
                description:
                  type: string
                  description: The description of the payment (MAX 255; MIN 3).
                amount:
                  type: object
                  description: >-
                    Specifies the payment amount object, with the value and
                    currency.
                  required:
                    - currency
                    - value
                  properties:
                    currency:
                      type: string
                      description: >-
                        The currency used to make the payment. For a full list
                        of currency codes, see [Country
                        reference](/reference/country-reference) (MAX 3; MIN 3;
                        ISO 4217).
                    value:
                      type: number
                      description: The payment amount (multiple of 0.0001).
                      format: float
                    currency_conversion:
                      type: object
                      description: >-
                        The currency conversion (DCC) object. Used when the
                        cardholder pays in their home currency at the point of
                        sale while the merchant settles in their own.
                        `cardholder_currency` must differ from
                        `amount.currency`.
                      properties:
                        id:
                          type: string
                          description: >-
                            The unique identifier of the [conversion rate
                            query](/docs/currency-conversion) from Yuno. (UUID,
                            36 chars)
                        provider_currency_conversion_id:
                          type: string
                          description: >-
                            The unique identifier of the conversion rate query
                            from the provider (MAX 526 ; MIN 3)
                        cardholder_currency:
                          type: string
                          description: >-
                            Currency the cardholder is charged in. ISO 4217
                            alpha-3 code. Must differ from `amount.currency`.
                            This field is required if the 'currency_conversion'
                            object is included in the request.
                        cardholder_amount:
                          type: number
                          description: >-
                            Total amount billed to the cardholder in
                            `cardholder_currency` (multiple of 0.0001). Range:
                            0.0001 – 9,999,999,999. This field is required if
                            the 'currency_conversion' object is included in the
                            request.
                          format: float
                        cardholder_accepted:
                          type: boolean
                          description: >-
                            Cardholder's explicit consent to the DCC offer.
                            `true` = accepted (charge in `cardholder_currency`);
                            `false` = declined (payment proceeds in merchant
                            currency).
                        provider_data:
                          type: object
                          description: Additional data from the provider
                          properties:
                            id:
                              type: string
                              description: Identification of the provider
                              enum:
                                - CIBC
                                - MERCADO_PAGO
                        rate:
                          type: number
                          description: >-
                            Applied FX rate (markup included). Must be greater
                            than 0.
                          format: float
                        rate_margin_percentage:
                          type: number
                          description: >-
                            Markup added over the wholesale rate, expressed as a
                            percentage. Range: 0 – 100.
                          format: float
                        rate_source:
                          type: string
                          description: >-
                            Wholesale benchmark used for the quote. Required
                            when `rate_margin_percentage > 0`. Free text, max 50
                            chars. Examples: `ECB`, `REUTERS`, `BLOOMBERG`,
                            `PROVIDER_INTERNAL`.
                        provider:
                          type: string
                          description: DCC provider that issued the quote.
                          enum:
                            - FEXCO
                            - GLOBAL_BLUE
                            - PLANET
                            - EURONET
                            - CURRENCYFAIR
                            - EUROPEAN_PAYMENT_SERVICES
                            - OTHER
                        description:
                          type: string
                          description: >-
                            Verbatim disclosure text shown to the cardholder at
                            the point of sale. Stored unchanged for audit. Max
                            4096 chars.
                        created_at:
                          type: string
                          format: date-time
                          description: >-
                            Timestamp when the DCC provider issued the quote
                            (ISO 8601). Must be ≤ now().
                        expires_at:
                          type: string
                          format: date-time
                          description: >-
                            Timestamp when the quote expires (ISO 8601). Must be
                            > `created_at`. The payment is rejected if
                            `expires_at < now()` at validation time.
                checkout:
                  type: object
                  description: >-
                    Specifies the checkout object. This object is not mandatory
                    for back to back payments. Required when `workflow` is
                    defined as `SDK_CHECKOUT` or is not sent. not required for
                    `DIRECT` or `REDIRECT` payments.
                  properties:
                    session:
                      type: string
                      description: >-
                        The checkout session that has been created for the
                        payment using the [Create Checkout
                        Session](https://docs.y.uno/reference/create-checkout-session)
                        endpoint (UUID, 36 chars). This field is required if the
                        `checkout` object is included in the request.
                additional_data:
                  type: object
                  description: >-
                    Specifies the additional_data object. This object is not
                    mandatory. However, if you send this information, the
                    payment experience will be enhanced for your user.
                  properties:
                    order:
                      type: object
                      description: Specifies the order object.
                      properties:
                        shipping_amount:
                          type: number
                          description: >-
                            The shipping amount of the order (multiple of
                            0.0001). This field is for informational purposes,
                            the shipping amount is already included in the final
                            transaction amount and is not added separately.
                          format: float
                        fee_amount:
                          type: number
                          description: >-
                            The fee amount of the order (multiple of 0.0001).
                            This field is for informational purposes, the fee
                            amount is already included in the final transaction
                            amount and is not added separately.
                          format: float
                        tip_amount:
                          type: string
                          description: >-
                            The tip amount of the order (multiple of 0.0001).
                            This field is for informational purposes, the tip
                            amount is already included in the final transaction
                            amount and is not added separately.
                        taxes:
                          type: array
                          description: >-
                            The taxes of the order. This struct is for
                            informational purposes, the taxes amount is already
                            included in the final transaction amount and is not
                            added separately.
                          items:
                            properties:
                              type:
                                type: string
                                description: Type of the tax.
                                enum:
                                  - VAT
                                  - AIRPORT_TAX
                                  - CONSUMPTION_TAX
                                  - VAT_LAW_17934
                                  - VAT_LAW_19210
                                  - VAT_EXEMPTION
                                  - ISV
                              tax_base:
                                type: number
                                description: The amount base to apply the tax defined.
                                format: float
                              value:
                                type: number
                                description: The amount of the tax.
                                format: float
                              percentage:
                                type: number
                                description: The percentage of the tax.
                                format: float
                            required:
                              - type
                              - value
                            type: object
                        items:
                          type: array
                          description: Specifies the items array of object.
                          items:
                            properties:
                              id:
                                type: string
                                description: >-
                                  The unique identifier of the item (MAX 255;
                                  MIN 3).
                              name:
                                type: string
                                description: The name of the item (MAX 255; MIN 3).
                              quantity:
                                type: integer
                                description: The quantity of the item.
                                format: int32
                              unit_amount:
                                type: number
                                description: >-
                                  The unit amount of the item (multiple of
                                  0.0001).
                                format: float
                              category:
                                type: string
                                description: >-
                                  The category of the item. Check the [Item
                                  category
                                  reference](/reference/items-category-list).
                                enum:
                                  - art
                                  - baby
                                  - coupons
                                  - beauty_&_personal_care
                                  - donations
                                  - computing
                                  - books
                                  - grocery_&_gourmet_food
                                  - cameras
                                  - video_games
                                  - television
                                  - car_electronics
                                  - electronics
                                  - automotive
                                  - toys_&_games
                                  - musical_instruments
                                  - handmade
                                  - garden_&_outdoor
                                  - entertainment
                                  - industrial_&_scientific
                                  - fashion
                                  - games
                                  - pet_supplies
                                  - home
                                  - musical
                                  - phones
                                  - services
                                  - learnings
                                  - tickets
                                  - travels
                                  - virtual_goods
                                  - others
                                  - ''
                              brand:
                                type: string
                                description: The brand of the item (MAX 255; MIN 3).
                              sku_code:
                                type: string
                                description: >-
                                  The stock keeping unit (SKU) of the item (MAX
                                  255; MIN 3).
                              manufacture_part_number:
                                type: string
                                description: The manufacture part number of the item.
                              url:
                                type: string
                                description: >-
                                  The item's URL available to the buyer (MAX
                                  512; MIN 3).
                            required:
                              - id
                              - name
                              - quantity
                              - unit_amount
                              - category
                            type: object
                        shipping:
                          type: object
                          description: The shipping details object
                          properties:
                            type:
                              type: string
                              description: The type of shippment
                              enum:
                                - CUSTOM
                                - MILITARY
                                - ELECTRONIC
                                - EXPRESS
                                - STANDARD
                                - SCHEDULED
                                - ECONOMY
                                - PRIORITY
                                - SAME_DAY
                                - NEXT_DAY
                                - THIRD_DAY
                                - STORE_PICK_UP
                                - LOCKER_PICK_UP
                                - OTHER
                            description:
                              type: string
                              description: The shipment description
                            carrier:
                              type: string
                              description: Carrier used for the delivery
                              enum:
                                - UPS
                                - USPS
                                - FEDEX
                                - DHL
                                - PUROLATOR
                                - GREYHOUND
                                - AR_CORREO_ARGENTINO
                                - AR_OCA
                                - OTHER
                            deliver_at:
                              type: string
                              description: >-
                                Estimated date of delivery (ISO 8601 MAX 27; MIN
                                27)
                        tickets:
                          type: array
                          description: The tickets detail object
                          items:
                            properties:
                              id:
                                type: string
                                description: 'Id of the ticket (Min: 1, max:255)'
                              name:
                                type: string
                                description: 'Name of the ticket (Min: 1, max:255)'
                              description:
                                type: string
                                description: 'Description of the ticket (Min: 1, max:255)'
                              type:
                                type: string
                                description: Type of the ticket
                                enum:
                                  - VIRTUAL
                                  - PHYSICAL
                              amount:
                                type: object
                                description: Amount of the ticket
                                properties:
                                  value:
                                    type: number
                                    description: Amount of the payment
                                    format: float
                                  currency:
                                    type: string
                                    description: >-
                                      The currency used to make the payment (ISO
                                      4217 MAX 3; MIN 3)
                              event:
                                type: object
                                description: The event information
                                properties:
                                  id:
                                    type: string
                                    description: Id of the event related to the ticket
                                  name:
                                    type: string
                                    description: Name of the event
                                  description:
                                    type: string
                                    description: Description of the event
                                  type:
                                    type: string
                                    description: Type of the event
                                    enum:
                                      - PARTY
                                      - UNIVERCITY
                                      - FESTIVAL
                                      - CIRCUS
                                      - SPORTS
                                      - CINEMA
                                      - THEATER
                                      - CONCERT
                                      - OTHERS
                                  date:
                                    type: string
                                    description: Date of the event
                                    format: date
                                  address:
                                    type: object
                                    description: Address of the event
                                    properties:
                                      address_line_1:
                                        type: string
                                        description: >-
                                          The primary billing address line (MAX
                                          255; MIN 3)
                                      address_line_2:
                                        type: string
                                        description: >-
                                          The secondary billing address line (MAX
                                          255; MIN 3)
                                      building_number_1:
                                        type: string
                                        description: >-
                                          The primary building number of the
                                          customer (MAX 255; MIN 3)
                                      building_number_2:
                                        type: string
                                        description: >-
                                          The secondary building number of the
                                          customer (MAX 255; MIN 3)
                                      city:
                                        type: string
                                        description: >-
                                          The city considered for the address (MAX
                                          255; MIN 3)
                                      country:
                                        type: string
                                        description: >-
                                          The country consider for the address
                                          (ISO 3166-1 MAX 2; MIN 2)
                                      state:
                                        type: string
                                        description: >-
                                          The state / province considered for the 
                                          address (MAX 255; MIN 3)
                                      zip_code:
                                        type: string
                                        description: >-
                                          The zipcode considered for the  address
                                          (MAX 11; MIN 4)
                                      neighborhood:
                                        type: string
                                        description: >-
                                          The neighborhood address line (MAX 255;
                                          MIN 3)
                            type: object
                        account_funding:
                          type: object
                          description: >-
                            The account funding transaction details object
                            necessary for
                            [AFTs](/docs/account-funding-transactions-afts).
                          properties:
                            sender:
                              type: object
                              description: >-
                                The sender object necessary for account funding
                                transactions
                              required:
                                - first_name
                                - country
                              properties:
                                first_name:
                                  type: string
                                  description: 'Sender''s name. (Max: 80)'
                                last_name:
                                  type: string
                                  description: 'Sender''s last name. (Max: 80)'
                                national_entity:
                                  type: string
                                  description: Sender's national entity type.
                                  enum:
                                    - INDIVIDUAL
                                    - ENTITY
                                legal_name:
                                  type: string
                                  description: >-
                                    Sender's name. (Max: 80) Only necessary when
                                    national entity is ENTITY
                                email:
                                  type: string
                                  description: The Sender's email (MAX 255; MIN 3)
                                country:
                                  type: string
                                  description: >-
                                    The Sender's country  (ISO 3166-1 MAX 2; MIN
                                    2)
                                date_of_birth:
                                  type: string
                                  description: >-
                                    The beneficiary's date of birth in the
                                    YYYY-MM-DD (MAX 10; MIN 10)
                                document:
                                  type: object
                                  description: Sender's document object
                                  properties:
                                    document_number:
                                      type: string
                                      description: >-
                                        Document number for customer (MAX 40;
                                        MIN 3). This field is required if the
                                        'document' object is included in the
                                        request.
                                    document_type:
                                      type: string
                                      description: >-
                                        The customer's document type (MAX 6, MIN
                                        2; [Country
                                        reference](/reference/country-reference)).
                                      enum:
                                        - DNI
                                        - CI
                                        - LC
                                        - LE
                                        - CUIT
                                        - CUIL
                                        - PAS
                                        - CPF
                                        - RG
                                        - CNH
                                        - CNPJ
                                        - RUT
                                        - RUN
                                        - CC
                                        - CE
                                        - NIT
                                        - DUI
                                        - PIC
                                        - DPI
                                        - IFR
                                        - INE
                                        - CP
                                        - RFC
                                        - CURP
                                        - CIP
                                        - CIC
                                        - CUI
                                        - RUC
                                        - ''
                                phone:
                                  type: object
                                  description: Sender's phone object
                                  properties:
                                    country_code:
                                      type: string
                                      description: >-
                                        The country calling code of the
                                        customer's phone (MAX 3; MIN 1). Check
                                        the [Country
                                        reference](country-reference) to see the
                                        phone codes. This field is required if
                                        the 'phone' object is included in the
                                        request.
                                    number:
                                      type: string
                                      description: >-
                                        The customer's phone number, without the
                                        country code (MAX 32; MIN 1). This field
                                        is required if the 'phone' object is
                                        included in the request.
                                address:
                                  type: object
                                  description: Sender's address object
                                  properties:
                                    address_line_1:
                                      type: string
                                      description: >-
                                        The primary billing address line of the
                                        customer (MAX 255; MIN 1). This field is
                                        required if the 'billing_address' object
                                        is included in the request.
                                    address_line_2:
                                      type: string
                                      description: >-
                                        The secondary billing address line of
                                        the customer (MAX 255; MIN 1).
                                    building_number_1:
                                      type: string
                                      description: >-
                                        The primary building number of the
                                        customer (MAX 255; MIN 3)
                                    building_number_2:
                                      type: string
                                      description: >-
                                        The secondary building number of the
                                        customer (MAX 255; MIN 3)
                                    city:
                                      type: string
                                      description: >-
                                        The city considered for the billing
                                        address (MAX 255; MIN 1). This field is
                                        required if the 'billing_address' object
                                        is included in the request.
                                    country:
                                      type: string
                                      description: >-
                                        The country considered for the billing
                                        address (MAX 2; MIN 2; [ISO
                                        3166-1](country-reference)). This field
                                        is required if the 'billing_address'
                                        object is included in the request.
                                      enum:
                                        - AR
                                        - BO
                                        - BR
                                        - CL
                                        - CO
                                        - CR
                                        - EC
                                        - SV
                                        - GT
                                        - HN
                                        - MX
                                        - NI
                                        - PA
                                        - PY
                                        - PE
                                        - US
                                        - UY
                                        - ''
                                    state:
                                      type: string
                                      description: >-
                                        State or province code. Use ISO 3166-2
                                        subdivision codes
                                        (https://en.wikipedia.org/wiki/ISO_3166-2).
                                    zip_code:
                                      type: string
                                      description: >-
                                        The zipcode considered for the billing
                                        address (MAX 11; MIN 3).
                                    neighborhood:
                                      type: string
                                      description: >-
                                        The neighborhood of the address line of
                                        the customer(MAX 255; MIN 1)
                            beneficiary:
                              type: object
                              description: >-
                                The beneficiary object necessary for account
                                funding transactions.
                              required:
                                - first_name
                                - country
                              properties:
                                first_name:
                                  type: string
                                  description: 'Beneficiary''s name. (Max: 80)'
                                last_name:
                                  type: string
                                  description: 'Beneficiary''s last name. (Max: 80)'
                                national_entity:
                                  type: string
                                  description: Beneficiary's national entity type.
                                  enum:
                                    - INDIVIDUAL
                                    - ENTITY
                                legal_name:
                                  type: string
                                  description: >-
                                    Beneficiary's name. (Max: 80) Only necessary
                                    when national entity is ENTITY
                                email:
                                  type: string
                                  description: The Beneficiary's email (MAX 255; MIN 3)
                                country:
                                  type: string
                                  description: >-
                                    The Beneficiary's country  (ISO 3166-1 MAX
                                    2; MIN 2)
                                date_of_birth:
                                  type: string
                                  description: >-
                                    The beneficiary's date of birth in the
                                    YYYY-MM-DD (MAX 10; MIN 10)
                                document:
                                  type: object
                                  description: The beneficiary's document object.
                                  properties:
                                    document_number:
                                      type: string
                                      description: >-
                                        Document number for customer (MAX 40;
                                        MIN 3). This field is required if the
                                        'document' object is included in the
                                        request.
                                    document_type:
                                      type: string
                                      description: >-
                                        The customer's document type (MAX 6, MIN
                                        2; [Country
                                        reference](/reference/country-reference)).
                                      enum:
                                        - DNI
                                        - CI
                                        - LC
                                        - LE
                                        - CUIT
                                        - CUIL
                                        - PAS
                                        - CPF
                                        - RG
                                        - CNH
                                        - CNPJ
                                        - RUT
                                        - RUN
                                        - CC
                                        - CE
                                        - NIT
                                        - DUI
                                        - PIC
                                        - DPI
                                        - IFR
                                        - INE
                                        - CP
                                        - RFC
                                        - CURP
                                        - CIP
                                        - CIC
                                        - CUI
                                        - RUC
                                        - ''
                                phone:
                                  type: object
                                  description: The beneficiary's phone object.
                                  properties:
                                    country_code:
                                      type: string
                                      description: >-
                                        The country calling code of the
                                        customer's phone (MAX 3; MIN 1). Check
                                        the [Country
                                        reference](country-reference) to see the
                                        phone codes. This field is required if
                                        the 'phone' object is included in the
                                        request.
                                    number:
                                      type: string
                                      description: >-
                                        The customer's phone number, without the
                                        country code (MAX 32; MIN 1). This field
                                        is required if the 'phone' object is
                                        included in the request.
                                address:
                                  type: object
                                  description: The beneficiary's address object.
                                  properties:
                                    address_line_1:
                                      type: string
                                      description: >-
                                        The primary billing address line of the
                                        customer (MAX 255; MIN 1). This field is
                                        required if the 'billing_address' object
                                        is included in the request.
                                    address_line_2:
                                      type: string
                                      description: >-
                                        The secondary billing address line of
                                        the customer (MAX 255; MIN 1).
                                    building_number_1:
                                      type: string
                                      description: >-
                                        The primary building number of the
                                        customer (MAX 255; MIN 3)
                                    building_number_2:
                                      type: string
                                      description: >-
                                        The secondary building number of the
                                        customer (MAX 255; MIN 3)
                                    city:
                                      type: string
                                      description: >-
                                        The city considered for the billing
                                        address (MAX 255; MIN 1). This field is
                                        required if the 'billing_address' object
                                        is included in the request.
                                    country:
                                      type: string
                                      description: >-
                                        The country considered for the billing
                                        address (MAX 2; MIN 2; [ISO
                                        3166-1](country-reference)). This field
                                        is required if the 'billing_address'
                                        object is included in the request.
                                      enum:
                                        - AR
                                        - BO
                                        - BR
                                        - CL
                                        - CO
                                        - CR
                                        - EC
                                        - SV
                                        - GT
                                        - HN
                                        - MX
                                        - NI
                                        - PA
                                        - PY
                                        - PE
                                        - US
                                        - UY
                                        - ''
                                    state:
                                      type: string
                                      description: >-
                                        State or province code. Use ISO 3166-2
                                        subdivision codes
                                        (https://en.wikipedia.org/wiki/ISO_3166-2).
                                    zip_code:
                                      type: string
                                      description: >-
                                        The zipcode considered for the billing
                                        address (MAX 11; MIN 3).
                                    neighborhood:
                                      type: string
                                      description: >-
                                        The neighborhood of the address line of
                                        the customer(MAX 255; MIN 1)
                        discounts:
                          type: array
                          description: Specifies the discounts array of objects.
                          items:
                            properties:
                              id:
                                type: string
                                description: ID of the discount (MAX 255; MIN 1).
                              name:
                                type: string
                                description: Name of the discount (MAX 255; MIN 1).
                              unit_amount:
                                type: number
                                description: >-
                                  The unit amount of the discount (multiple of
                                  0.0001).
                                format: float
                            required:
                              - unit_amount
                            type: object
                        sales_channel:
                          type: string
                          description: Sales channel id of the payment. (MIN:3 y MAX:255)
                    airline:
                      type: object
                      description: Specifies the airline object.
                      required:
                        - pnr
                      properties:
                        pnr:
                          type: string
                          description: Passenger name record (MAX 10; MIN 1).
                        type:
                          type: string
                          description: Type of trip.
                          enum:
                            - ONE_WAY
                            - ROUNDTRIP
                            - MULTIPLE_DESTINATIONS
                        legs:
                          type: array
                          description: Specifies the legs object.
                          items:
                            properties:
                              passenger_id:
                                type: string
                                description: Reference to passenger ID (MAX 128; MIN 1).
                                example: passenger_001
                              departure_airport:
                                type: string
                                description: >-
                                  IATA code. See http://www.iata.org (MAX 3; MIN
                                  3).
                              departure_datetime:
                                type: string
                                description: >-
                                  The departure date and time in UTC time ([ISO
                                  8601](https://en.wikipedia.org/wiki/ISO_8601),
                                  MAX 27; MIN 27).
                                format: date-time
                              departure_airport_country:
                                type: string
                                description: >-
                                  Country of the departure airport (MAX 2; MIN
                                  2; ISO 3166-1).
                              departure_airport_city:
                                type: string
                                description: >-
                                  The city considered for the departure airport
                                  (MAX 255; MIN 3).
                              departure_airport_timezone:
                                type: string
                                description: Airport timezone (MAX 6; MIN 6).
                              arrival_airport:
                                type: string
                                description: >-
                                  IATA airport code. See http://www.iata.org
                                  (MAX 3; MIN 3).
                              arrival_airport_country:
                                type: string
                                description: >-
                                  Country of the arrival airport (MAX 2; MIN 2;
                                  ISO 3166-1).
                              arrival_airport_city:
                                type: string
                                description: >-
                                  The city considered for the arrival airport
                                  (MAX 255; MIN 3).
                              arrival_airport_timezone:
                                type: string
                                description: Airport timezone (MAX 6; MIN 6).
                              arrival_datetime:
                                type: string
                                description: >-
                                  The arrival date and time in UTC time ([ISO
                                  8601](https://en.wikipedia.org/wiki/ISO_8601),
                                  MAX 27; MIN 27).
                              carrier_code:
                                type: string
                                description: >-
                                  IATA carrier code. See http://www.iata.org
                                  (MAX 2; MIN 2).
                              flight_number:
                                type: string
                                description: >-
                                  The flight number assigned by the airline
                                  carrier (MAX 5; MIN 1).
                              fare_basis_code:
                                type: string
                                description: >-
                                  Code base rate provides specific information
                                  on the fare in addition to the class service,
                                  both required for booking (MAX 15; MIN 1).
                              fare_class_code:
                                type: string
                                description: >-
                                  The fare class code of the airline (MAX 1; MIN
                                  1). The values can be a letter (A-Z) but may
                                  vary depending on the airline's definition.
                                  Check the [Airline information
                                  reference](/reference/airline-information#fare-class-code).
                              base_fare:
                                type: number
                                description: >-
                                  The transaction amount, excluding taxes and
                                  fees, the smallest unit of currency
                                  (multipleOf 0.0001).
                                format: float
                              base_fare_currency:
                                type: string
                                description: >-
                                  The currency used to transaction amount (MAX
                                  3; MIN 3).
                              stopover_code:
                                type: string
                                description: >-
                                  1-letter code indicating whether the passenger
                                  is allowed to make a stopover. Only two types
                                  of characters are allowed: O: Stopover allowed
                                  (the letter 'O', not zero) / X: Stopover not
                                  allowed. (MAX 1; MIN 1).
                              order:
                                type: integer
                                description: >-
                                  A running index (starts with 1), describing
                                  the order of legs in the same route.
                                format: int32
                              route_order:
                                type: integer
                                description: >-
                                  A running index (starts with 1), describing
                                  the order of routes by time. E.g: If an order
                                  contains 2 Routes: New-York->London->Paris
                                  (connection in London) New-York->London should
                                  have route_order=1, order=1; London->Paris
                                  should have route_order=1, order=2;
                                  Paris->London->New-York: Paris->London should
                                  have route_order=2, order=1; London->New-York
                                  should have route_order=2, order=2.
                                format: int32
                            required:
                              - departure_airport
                              - departure_datetime
                              - departure_airport_timezone
                              - arrival_airport
                              - carrier_code
                              - flight_number
                              - fare_basis_code
                              - fare_class_code
                            type: object
                        passengers:
                          type: array
                          description: Specifies the passengers array of objects.
                          items:
                            properties:
                              id:
                                type: string
                                description: >-
                                  Passenger ID for identification (MAX 128; MIN
                                  1).
                                example: passenger_001
                              first_name:
                                type: string
                                description: The passenger first name (MAX 255; MIN 3).
                              last_name:
                                type: string
                                description: The passenger last name (MAX 255; MIN 3).
                              middle_name:
                                type: string
                                description: The passenger middle name (MAX 255; MIN 3).
                              email:
                                type: string
                                description: The passenger email (MAX 255; MIN 3).
                              type:
                                type: string
                                description: >-
                                  The passenger type (MAX 1; MIN 1). Check the
                                  [Airline information
                                  reference](/reference/airline-information#passenger-type).
                                enum:
                                  - A
                                  - C
                                  - I
                                  - ''
                              date_of_birth:
                                type: string
                                description: >-
                                  The passenger date of birth in the YYYY-MM-DD
                                  (MAX 10; MIN 10).
                                format: date
                              nationality:
                                type: string
                                description: >-
                                  The passenger nationality (MAX 2; MIN 2; [ISO
                                  3166-1](country-reference)).
                                enum:
                                  - AR
                                  - BO
                                  - BR
                                  - CL
                                  - CO
                                  - CR
                                  - EC
                                  - SV
                                  - GT
                                  - HN
                                  - MX
                                  - NI
                                  - PA
                                  - PY
                                  - PE
                                  - US
                                  - UY
                                  - ''
                              document:
                                type: object
                                description: >-
                                  Specifies the document object of the
                                  passenger.
                                properties:
                                  document_number:
                                    type: string
                                    description: >-
                                      Document number for passenger (MAX 40; MIN
                                      3).
                                  document_type:
                                    type: string
                                    description: >-
                                      The passenger's document type (MAX 6, MIN
                                      2; [Country
                                      reference](/reference/country-reference)).
                                    enum:
                                      - DNI
                                      - CI
                                      - LC
                                      - LE
                                      - CUIT
                                      - CUIL
                                      - PAS
                                      - CPF
                                      - RG
                                      - CNH
                                      - CNPJ
                                      - RUT
                                      - RUN
                                      - CC
                                      - CE
                                      - NIT
                                      - DUI
                                      - PIC
                                      - DPI
                                      - IFR
                                      - INE
                                      - CP
                                      - RFC
                                      - CURP
                                      - CIP
                                      - CIC
                                      - CUI
                                      - RUC
                                      - ''
                              loyalty_number:
                                type: string
                                description: Number of passenger loyalty program.
                              loyalty_tier:
                                type: string
                                description: >-
                                  Tier of passenger loyalty program. Check the
                                  [Airline information
                                  reference](/reference/airline-information#loyalty-tier).
                                enum:
                                  - '1'
                                  - '2'
                                  - '3'
                              phone:
                                type: object
                                description: Specifies the phone object for the passenger.
                                properties:
                                  country_code:
                                    type: string
                                    description: >-
                                      The country calling code of the
                                      passenger's phone (MAX 3; MIN 1). Possible
                                      values: Check the [Country
                                      reference](/reference/country-reference).
                                  number:
                                    type: string
                                    description: >-
                                      The passenger's phone number, without the
                                      country code (MAX 32; MIN 1).
                            type: object
                        tickets:
                          type: array
                          description: Specifies the array of ticket objects.
                          items:
                            properties:
                              passenger_id:
                                type: string
                                description: Reference to passenger ID (MAX 128; MIN 1).
                                example: passenger_001
                              ticket_number:
                                type: string
                                description: Ticket number (MAX 14; MIN 1).
                              e_ticket:
                                type: boolean
                                description: Is this an e-ticket?
                              restricted:
                                type: boolean
                                description: Indicates if the ticket is refunfable or not.
                              total_fare_amount:
                                type: number
                                description: >-
                                  Total fare amount in the smallest unit of
                                  currency (multiple of 0.0001).
                                format: float
                              total_tax_amount:
                                type: number
                                description: >-
                                  Total taxes amount in the smallest unit of
                                  currency (multiple of 0.0001).
                                format: float
                              total_fee_amount:
                                type: number
                                description: >-
                                  Total fee amount in the smallest unit of
                                  currency (multiple of 0.0001).
                                format: float
                              issue:
                                type: object
                                description: Specifies the issue object.
                                properties:
                                  carrier_prefix_code:
                                    type: string
                                    description: >-
                                      Issuing or Validating carrier. This is the
                                      AWB Prefix (Air waybill) 3-numeric code
                                      (MAX 3; MIN 3).
                                  travel_agent_code:
                                    type: string
                                    description: >-
                                      Code of the travel agent issuing the
                                      ticket (MAX 9; MIN 8).
                                  travel_agent_name:
                                    type: string
                                    description: >-
                                      The name under which the point of sale
                                      appears on the agency list or franchise
                                      name (MAX 32; MIN 1).
                                  booking_system_code:
                                    type: string
                                    description: >-
                                      Code of the booking system issuing the
                                      ticket. (MAX 255; MIN 1).
                                  booking_system_name:
                                    type: string
                                    description: >-
                                      Name of the booking system issuing the
                                      ticket. (MAX 255; MIN 1).
                                  date:
                                    type: string
                                    description: Ticket issuing date (MAX 27; MIN 27).
                                    format: date-time
                                  address:
                                    type: string
                                    description: >-
                                      Address of the agent whose sold the ticket
                                      (MAX 255; MIN 3).
                                  city:
                                    type: string
                                    description: >-
                                      City name of the agent whose sold the
                                      ticket (MAX 255; MIN 3).
                                  country:
                                    type: string
                                    description: >-
                                      Country code alpha 2 where the ticket was
                                      issued (MAX 2; MIN 2; [ISO
                                      3166-1](country-reference)).
                                    enum:
                                      - AR
                                      - BO
                                      - BR
                                      - CL
                                      - CO
                                      - CR
                                      - EC
                                      - SV
                                      - GT
                                      - HN
                                      - MX
                                      - NI
                                      - PA
                                      - PY
                                      - PE
                                      - US
                                      - UY
                                      - ''
                            type: object
                    transportations:
                      type: array
                      description: Specifies the transportations array of objects.
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                            description: >-
                              The id of the transportation booking (MAX 255; MIN
                              1).
                            example: AAA0001
                          description:
                            type: string
                            description: >-
                              The description of the transportation booking (MAX
                              255; MIN 1).
                            example: Bus ticket
                          type:
                            type: string
                            description: The type of transportation booking.
                            enum:
                              - ONE_WAY
                              - ROUNDTRIP
                              - MULTIPLE_DESTINATIONS
                            example: ROUNDTRIP
                          legs:
                            type: array
                            description: Specifies the legs array of objects.
                            items:
                              type: object
                              properties:
                                passenger_id:
                                  type: string
                                  description: Reference to passenger ID (MAX 128; MIN 1).
                                  example: passenger_001
                                order:
                                  type: integer
                                  description: >-
                                    A running index (starts with 1), describing
                                    the order of legs in the same route.
                                  example: 2
                                route_order:
                                  type: integer
                                  description: >-
                                    A running index (starts with 1), describing
                                    the order of routes by time.
                                  example: 1
                                departure_country:
                                  type: string
                                  description: >-
                                    Country of the departure (MAX 2; MIN 2; ISO
                                    3166-1).
                                  example: CO
                                departure_city:
                                  type: string
                                  description: The city of the departure (MAX 255; MIN 1).
                                  example: Bogota
                                departure_timezone:
                                  type: string
                                  description: Departure timezone (MAX 6; MIN 6).
                                  example: '-03:00'
                                departure_datetime:
                                  type: string
                                  description: >-
                                    The departure date and time in local time at
                                    the departure.
                                  format: date-time
                                  example: '2022-05-09T20:46:54.786342Z'
                                departure_reference:
                                  type: string
                                  description: >-
                                    The reference of the departure (MAX 255; MIN
                                    1).
                                  example: AAA001-2
                                arrival_country:
                                  type: string
                                  description: >-
                                    Country of the arrival (MAX 2; MIN 2; ISO
                                    3166-1).
                                  example: CO
                                arrival_city:
                                  type: string
                                  description: The city of the arrival (MAX 255; MIN 1).
                                  example: Medellin
                                arrival_timezone:
                                  type: string
                                  description: Arrival timezone (MAX 6; MIN 6).
                                  example: '-03:00'
                                arrival_datetime:
                                  type: string
                                  description: >-
                                    The arrival date and time in local time at
                                    the arrival.
                                  format: date-time
                                  example: '2022-05-09T24:46:54.786342Z'
                                arrival_reference:
                                  type: string
                                  description: >-
                                    The reference of the arrival (MAX 255; MIN
                                    1).
                                  example: AAA001-4
                                transport:
                                  type: object
                                  description: Specifies the transport object.
                                  properties:
                                    id:
                                      type: string
                                      description: >-
                                        The id of the transportation vehicle
                                        (MAX 255; MIN 1).
                                      example: ASONDAKS-1234
                          transport:
                            type: object
                            description: Specifies the transport object.
                            properties:
                              id:
                                type: string
                                description: >-
                                  The id of the transportation vehicle (MAX 255;
                                  MIN 1).
                                example: ASONDAKS-1234
                              type:
                                type: string
                                description: The type of transportation vehicle.
                                enum:
                                  - SHIP
                                  - BUS
                                  - TRAIN
                                  - TRAM
                                  - CAR
                                example: BUS
                              description:
                                type: string
                                description: >-
                                  The description of the transportation vehicle
                                  (MAX 255; MIN 1).
                                example: BUS 2022
                          passengers:
                            type: array
                            description: Specifies the passengers array of objects.
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: >-
                                    Passenger ID for identification (MAX 128;
                                    MIN 1).
                                  example: passenger_001
                                first_name:
                                  type: string
                                  description: The passenger first name (MAX 255; MIN 3).
                                  example: John
                                last_name:
                                  type: string
                                  description: The passenger last name (MAX 255; MIN 3).
                                  example: Doe
                                middle_name:
                                  type: string
                                  description: The passenger middle name (MAX 255; MIN 3).
                                  example: A
                                email:
                                  type: string
                                  description: The passenger email (MAX 255; MIN 3).
                                  example: john.doe@example.com
                                type:
                                  type: string
                                  description: >-
                                    The passenger type (MAX 1; MIN 1). Check the
                                    Airline information reference.
                                  example: A
                                date_of_birth:
                                  type: string
                                  description: >-
                                    The passenger date of birth in the
                                    YYYY-MM-DD (MAX 10; MIN 10).
                                  example: '1990-01-01'
                                nationality:
                                  type: string
                                  description: >-
                                    The passenger nationality (MAX 2; MIN 2; ISO
                                    3166-1).
                                  example: CO
                                document:
                                  type: object
                                  description: >-
                                    Specifies the document object of the
                                    passenger.
                                  properties:
                                    document_number:
                                      type: string
                                      description: >-
                                        Document number for passenger (MAX 40;
                                        MIN 3).
                                      example: '123456789'
                                    document_type:
                                      type: string
                                      description: >-
                                        The passenger's document type (MAX 6,
                                        MIN 2; [Document Type
                                        List](https://docs.y.uno/reference/country-reference)).
                                      example: CC
                                loyalty_number:
                                  type: string
                                  description: Number of passenger loyalty program.
                                  example: L123456
                                loyalty_tier:
                                  type: string
                                  description: >-
                                    Tier of passenger loyalty program. Check the
                                    Airline information reference.
                                  example: GOLD
                                phone:
                                  type: object
                                  description: >-
                                    Specifies the phone object for the
                                    passenger.
                                  properties:
                                    country_code:
                                      type: string
                                      description: >-
                                        The country calling code of the
                                        passenger's phone (MAX 3; MIN 1).
                                      example: '57'
                                    number:
                                      type: string
                                      description: >-
                                        The passenger's phone number, without
                                        the country code (MAX 32; MIN 1).
                                      example: '3001234567'
                          tickets:
                            type: array
                            description: Specifies the array of ticket objects.
                            items:
                              type: object
                              properties:
                                passenger_id:
                                  type: string
                                  description: Reference to passenger ID (MAX 128; MIN 1).
                                  example: passenger_001
                                ticket_number:
                                  type: string
                                  description: Ticket number (MAX 14; MIN 1).
                                  example: '12345678901234'
                                e_ticket:
                                  type: boolean
                                  description: Is this an e-ticket?
                                  example: true
                                restricted:
                                  type: boolean
                                  description: >-
                                    Indicates if the ticket is refundable or
                                    not.
                                  example: false
                                total_fare_amount:
                                  type: number
                                  description: >-
                                    Total fare amount in the smallest unit of
                                    currency (multiple of 0.0001).
                                  format: float
                                  example: 50000
                                total_tax_amount:
                                  type: number
                                  description: >-
                                    Total taxes amount in the smallest unit of
                                    currency (multiple of 0.0001).
                                  format: float
                                  example: 5000
                                total_fee_amount:
                                  type: number
                                  description: >-
                                    Total fee amount in the smallest unit of
                                    currency (multiple of 0.0001).
                                  format: float
                                  example: 1000
                    seller_details:
                      type: object
                      description: Specifies the seller's details object.
                      properties:
                        name:
                          type: string
                          description: The seller's legal name (MAX 255; MIN 3).
                        email:
                          type: string
                          description: The seller's e-mail (MAX 255; MIN 3).
                        reference:
                          type: string
                          description: The seller's identification code (MAX 255; MIN 3).
                        website:
                          type: string
                          description: The seller's website URL (MAX 255; MIN 3).
                        industry:
                          type: string
                          description: >-
                            The seller's industry (MAX 235; MIN 1) For more
                            information access the [Industry category reference
                            page](/reference/industry-category-list).
                          enum:
                            - ADVERTISING
                            - ART
                            - AUTOMOTIVE
                            - ANTIVIRUS
                            - BABY
                            - BEAUTY_&_PERSONAL_CARE
                            - BOOKS
                            - CAMERAS
                            - CAR_ELECTRONICS
                            - COMPUTING
                            - COUPONS
                            - DONATIONS
                            - DELIVERY
                            - ELECTRONICS
                            - ENTERTAINMENT
                            - EDUCATION
                            - FASHION
                            - GAMES
                            - GARDEN_&_OUTDOOR
                            - GROCERY_&_GOURMET_FOOD
                            - HANDMADE
                            - HOME
                            - INDUSTRIAL_&_SCIENTIFIC
                            - INVESTING_AND_FINANCIAL
                            - LEARNINGS
                            - MUSICAL
                            - OTHERS
                            - PET_SUPPLIES
                            - PHONES
                            - PAYROLL
                            - SERVICES
                            - SAAS
                            - TELEVISION
                            - STREAMING
                            - TICKETS
                            - TOYS_&_GAMES
                            - TRAVELS
                            - VIDEO_GAMES
                            - VIRTUAL_GOODS
                            - ''
                        merchant_category_code:
                          type: string
                          description: MCC - The merchant category code (MAX 235; MIN 1).
                        country:
                          type: string
                          description: >-
                            The seller's country (MAX 255; MIN 2; [ISO
                            3166-1](/reference/country-reference)).
                          enum:
                            - AR
                            - BO
                            - BR
                            - CL
                            - CO
                            - CR
                            - EC
                            - SV
                            - GT
                            - HN
                            - MX
                            - NI
                            - PA
                            - PY
                            - PE
                            - US
                            - UY
                            - ''
                        document:
                          type: object
                          description: Specifies the document object of the seller.
                          properties:
                            document_number:
                              type: string
                              description: The seller's document number (MAX 40; MIN 3).
                            document_type:
                              type: string
                              description: >-
                                The seller's document type (MAX 6, MIN 2;
                                [Document Type
                                List](https://docs.y.uno/reference/country-reference)).
                              enum:
                                - DNI
                                - CI
                                - LC
                                - LE
                                - CUIT
                                - CUIL
                                - PAS
                                - CPF
                                - RG
                                - CNH
                                - CNPJ
                                - RUT
                                - RUN
                                - CC
                                - CE
                                - NIT
                                - DUI
                                - PIC
                                - DPI
                                - IFR
                                - INE
                                - CP
                                - RFC
                                - CURP
                                - CIP
                                - CIC
                                - CUI
                                - RUC
                                - ''
                        phone:
                          type: object
                          description: Specifies the seller's phone number object.
                          properties:
                            country_code:
                              type: string
                              description: >-
                                The country calling code of the seller's phone
                                (MAX 3; MIN 1). Check the [Country
                                reference](country-reference) to see the phone
                                codes.
                            number:
                              type: string
                              description: >-
                                The seller's phone number, without the country
                                code (MAX 32; MIN 1).
                        address:
                          type: object
                          description: Specifies the seller's address object.
                          properties:
                            address_line_1:
                              type: string
                              description: >-
                                The primary address line of the seller (MAX 255;
                                MIN 3).
                            address_line_2:
                              type: string
                              description: >-
                                The secondary billing address line of the seller
                                (MAX 255; MIN 3).
                            building_number_1:
                              type: string
                              description: >-
                                The primary building number of the customer (MAX
                                255; MIN 3)
                            building_number_2:
                              type: string
                              description: >-
                                The secondary building number of the customer
                                (MAX 255; MIN 3)
                            city:
                              type: string
                              description: >-
                                The city considered for the seller's address
                                (MAX 255; MIN 3).
                            country:
                              type: string
                              description: >-
                                The country considered for the seller's address
                                (MAX 2; MIN 2; [ISO
                                3166-1](/reference/country-reference)).
                              enum:
                                - AR
                                - BO
                                - BR
                                - CL
                                - CO
                                - CR
                                - EC
                                - SV
                                - GT
                                - HN
                                - MX
                                - NI
                                - PA
                                - PY
                                - PE
                                - US
                                - UY
                                - ''
                            state:
                              type: string
                              description: >-
                                The state considered for the seller's address
                                (MAX 255; MIN 1).
                            zip_code:
                              type: string
                              description: >-
                                The zipcode considered for the seller's address
                                (MAX 11; MIN 4).
                          required:
                            - address_line_1
                            - city
                            - country
                      required:
                        - address
                  required:
                    - seller_details
                country:
                  type: string
                  description: >-
                    Country where the transaction must be processed (MAX 2; MIN
                    2; [ISO 3166-1](/reference/country-reference)).
                  enum:
                    - AR
                    - BO
                    - BR
                    - CL
                    - CO
                    - CR
                    - EC
                    - SV
                    - GT
                    - HN
                    - MX
                    - NI
                    - PA
                    - PY
                    - PE
                    - US
                    - UY
                merchant_reference:
                  type: string
                  description: >-
                    Identification of the payment transaction defined by the
                    merchant (MAX 255; MIN 3). Optional to complement the
                    merchant_order_id.
                customer_payer:
                  type: object
                  description: Specifies customer object for payments.
                  properties:
                    id:
                      type: string
                      description: >-
                        The unique identifier of the customer (UUID, 36 chars).
                        This `id` is returned in Yuno's [Create
                        Customer](/reference/create-customer) endpoint. This
                        object is not mandatory for DIRECT payments. If the `id`
                        of a customer is sent, it is not necessary to complete
                        the rest of the `customer_payer` object, the information
                        of the previously created customer will be taken into
                        account for the payment. <br/> Example:
                        `be8a1640-43d2-4a75-9694-c6468d82cba3`.
                    merchant_customer_id:
                      type: string
                      description: >-
                        The unique identifier for a customer in the merchant's
                        system, assigned by the merchant (MAX 255; MIN 1).
                    merchant_customer_created_at:
                      type: string
                      description: >-
                        Customer´s registration date on the merchants platform
                        (ISO 8601 MAX 27; MIN 27)
                      format: date-time
                    merchant_customer_validations:
                      type: object
                      description: Fraud validations for the customer payer
                      properties:
                        account_is_verified:
                          type: boolean
                          description: >-
                            If the customer's account has been validated before
                            on the merchant's side. True by default
                          default: true
                        email_is_verified:
                          type: boolean
                          description: >-
                            If the customer's email has been validated before on
                            the merchant's side. True by default
                          default: true
                        phone_is_verified:
                          type: boolean
                          description: >-
                            If the customer's phone has been validated before on
                            the merchant's side. True by default
                          default: true
                    first_name:
                      type: string
                      description: The customer's first name (MAX 255; MIN 1).
                    last_name:
                      type: string
                      description: The customer's last name (MAX 255; MIN 1).
                    gender:
                      type: string
                      description: >-
                        The customer's gender (MAX 2; MIN 1;
                        (M=Male/F=Female/NB=Non Binary/NA=Not applicable/NK=Not
                        Known/U=Undefined)).
                      enum:
                        - M
                        - F
                        - NB
                        - NA
                        - NK
                        - U
                    date_of_birth:
                      type: string
                      description: >-
                        The customer's date of birth in the YYYY-MM-DD format
                        (Length: 10).
                      format: date
                    email:
                      type: string
                      description: The customer's e-mail (MAX 255; MIN 1).
                    nationality:
                      type: string
                      description: >-
                        The customer's nationality (MAX 2; MIN 2; [ISO
                        3166-1](country-reference)).
                      enum:
                        - AR
                        - BO
                        - BR
                        - CL
                        - CO
                        - CR
                        - EC
                        - SV
                        - GT
                        - HN
                        - MX
                        - NI
                        - PA
                        - PY
                        - PE
                        - US
                        - UY
                        - ''
                    ip_address:
                      type: string
                      description: The customer's IP address (MAX 45; MIN 1).
                    device_fingerprints:
                      type: array
                      description: >-
[...]
